get
https://partner.gupshup.io/partner/bizgate/app//group/
Returns the details of a single WhatsApp group on the app, identified by its group id.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
| groupId | Identifier of the WhatsApp group. | 120363021051234567 | String | Required |
Query parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| fields | Comma-separated list of fields to return, to narrow the payload. | — | String | Optional |
Sample cURL — Get group by id.
curl --request GET \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/group/120363021051234567' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json'Sample success response (200)
{
"status": "success",
"data": {
"description": "This Group is only for testing",
"id": "Y2FwaV9ncm91cDo5MTg5Mjk4NzQyNzg6MTIwMzYzNDIxNzc0NTUxMDcy",
"messaging_product": "whatsapp",
"participants": [
{
"wa_id": "91XXXXXXXX42"
}
],
"subject": "New Partner Group",
"total_participant_count": 1
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…